<app-header></app-header>

<ion-content>
  <ion-refresher slot="fixed" (ionRefresh)="handleRefresh($event)">
    <ion-refresher-content></ion-refresher-content>
  </ion-refresher>
  <app-body-header>
    <ion-icon name="clipboard"></ion-icon>
  </app-body-header>
  <ion-row class="titlePage">
    <h3>HISTÓRICO</h3>
  </ion-row>

  <ion-grid>
    <app-custom-card
      *ngFor="let request of requests"
      (click)="changeRequest(request.hash_code)"
    >
      <ion-col size="10" class="d-block">
        <ion-label class="ion-margin-vertical">{{request.hash_code}}</ion-label>
      </ion-col>
      <ion-col size="2" class="ion-no-padding">
        <ion-icon name="arrow-forward-circle"></ion-icon>
      </ion-col>
    </app-custom-card>
    <div *ngIf="requestNotFound" style="padding-top: 1rem">
      <ion-label
        class="ion-margin-vertical sc-ion-label-md-h sc-ion-label-md-s md hydrated"
      >
        <span
          class="warning"
          style="text-transform: uppercase; font-size: 14px"
        >
          Não há histórico de requisições
        </span>
      </ion-label>
    </div>
  </ion-grid>
</ion-content>

<app-footer></app-footer>
